# Google API Common Protos Client - Class BatchingConfigProto (4.14.0)

4.14.0 (latest) 4.13.0 4.12.5 4.11.0 4.10.0 4.9.0 4.8.3 Reference documentation and code samples for the Google API Common Protos Client class BatchingConfigProto.

`BatchingConfigProto` defines the batching configuration for an API method.

Generated from protobuf message `google.api.BatchingConfigProto`

## Namespace

Google \\ Api

## Methods

### __construct

Constructor.

| **Parameters** ||
|---|---|
| **Name** | **Description** |
| `data` | `array` Optional. Data for populating the Message object. |
| `↳ thresholds` | `https://docs.cloud.google.com/php/docs/reference/common-protos/latest/Api.BatchingSettingsProto` The thresholds which trigger a batched request to be sent. |
| `↳ batch_descriptor` | `https://docs.cloud.google.com/php/docs/reference/common-protos/latest/Api.BatchingDescriptorProto` The request and response fields used in batching. |

### getThresholds

The thresholds which trigger a batched request to be sent.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `https://docs.cloud.google.com/php/docs/reference/common-protos/latest/Api.BatchingSettingsProto|null` |   |

### hasThresholds

### clearThresholds

### setThresholds

The thresholds which trigger a batched request to be sent.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `https://docs.cloud.google.com/php/docs/reference/common-protos/latest/Api.BatchingSettingsProto` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getBatchDescriptor

The request and response fields used in batching.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `https://docs.cloud.google.com/php/docs/reference/common-protos/latest/Api.BatchingDescriptorProto|null` |   |

### hasBatchDescriptor

### clearBatchDescriptor

### setBatchDescriptor

The request and response fields used in batching.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `https://docs.cloud.google.com/php/docs/reference/common-protos/latest/Api.BatchingDescriptorProto` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |